<ion-header>
    <ion-navbar color="primary">
        <ion-title>{{product.name}}</ion-title>
        <ion-buttons end>
            <button ion-button icon-only tappable (click)="goToRoot('CartPage',{})">
                <ion-badge  >{{cart.totalQty}}</ion-badge>
                <ion-icon name="basket"></ion-icon>

            </button>
        </ion-buttons>
    </ion-navbar>
</ion-header>

<ion-content fullscreen>
    <ng-template #loading>
        <ion-spinner style="margin: 0 auto;height: 100%; display: block"></ion-spinner>
    </ng-template>

    <div *ngIf="product; else loading">

        <!--<ion-slides class="featured" loop="true" autoplay="3000" pager dir="ltr">-->
        <!--<ion-slide *ngFor="let x of product.images">-->
        <div><img [src]="product.images[0].src" style="margin: 0 auto;
    display: block;
    height: 150px;"/></div>
        <!-- </ion-slide>
     </ion-slides>-->
        <div class="main-content">
            <div padding>
                <ion-grid no-padding>
                    <ion-row no-padding align-items-center>
                        <ion-col col-9 no-padding>
                            <h2 item-start no-margin [innerHTML]="product.name"></h2>
                        </ion-col>
                        <ion-col col-3 no-padding>
                            <!--<button item-end no-margin no-padding ion-button icon-only clear tappable (click)="share(product)">-->
                            <!--<ion-icon no-padding name="ios-share"></ion-icon>-->
                            <!--</button>-->
                            <ion-badge *ngIf="product.weight" class="badge2">
                                <h6>
                                    <ion-icon name="briefcase"></ion-icon>
                                    <span>{{product.weight}}</span>/ {{'KG_SHORT' | translate}}
                                </h6>
                            </ion-badge>
                        </ion-col>
                    </ion-row>
                </ion-grid>

                <div *ngIf="!comingSoon" [innerHTML]="product.short_description"></div>
                <img *ngIf="comingSoon" src="assets/img/products/soon.png"
                     style="margin: 0 auto; display: block;height: 100px;">
            </div>

            <!--<ion-list mode="md" class="specs">-->
            <!--<ion-list-header mode="md" no-margin no-padding margin-right>-->
            <!--{{'SPECIFICATION' | translate}}-->
            <!--</ion-list-header>-->
            <!--<ion-item>-->
            <!--<ion-grid no-padding>-->
            <!--&lt;!&ndash;<ion-row no-padding>&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-col col-4 no-padding> {{'CATEGORY' | translate}}</ion-col>&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-col col-8 no-padding>&ndash;&gt;-->
            <!--&lt;!&ndash;<span *ngFor="let cat of product.categories">{{cat.name}}</span>&ndash;&gt;-->
            <!--&lt;!&ndash;</ion-col>&ndash;&gt;-->
            <!--&lt;!&ndash;</ion-row>&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-row no-padding *ngIf="product.total_sales">&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-col col-4 no-padding> {{'TOTALSALES' | translate}}</ion-col>&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-col col-8 no-padding>&ndash;&gt;-->
            <!--&lt;!&ndash;{{product.total_sales}}&ndash;&gt;-->
            <!--&lt;!&ndash;</ion-col>&ndash;&gt;-->
            <!--&lt;!&ndash;</ion-row>&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-row no-padding *ngIf="product.sku">&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-col col-4 no-padding>SKU</ion-col>&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-col col-8 no-padding>&ndash;&gt;-->
            <!--&lt;!&ndash;{{product.sku}}&ndash;&gt;-->
            <!--&lt;!&ndash;</ion-col>&ndash;&gt;-->
            <!--&lt;!&ndash;</ion-row>&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-row no-padding *ngIf="product.stock_quantity && product.in_stock">&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-col col-4 no-padding> {{'STOCK' | translate}}</ion-col>&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-col col-8 no-padding>&ndash;&gt;-->
            <!--&lt;!&ndash;{{product.stock_quantity}}&ndash;&gt;-->
            <!--&lt;!&ndash;</ion-col>&ndash;&gt;-->
            <!--&lt;!&ndash;</ion-row>&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-row no-padding *ngIf="product.weight">&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-col col-4 no-padding> {{'WEIGHT' | translate}}</ion-col>&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-col col-8 no-padding>&ndash;&gt;-->
            <!--&lt;!&ndash;{{product.weight}} / {{'KG' | translate}}&ndash;&gt;-->
            <!--&lt;!&ndash;</ion-col>&ndash;&gt;-->
            <!--&lt;!&ndash;</ion-row>&ndash;&gt;-->


            <!--&lt;!&ndash;<ion-row no-padding *ngFor="let att of product.attributes">&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-col col-4 no-padding>{{ att.name}}</ion-col>&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-col col-8 no-padding *ngIf="!att.options">&ndash;&gt;-->
            <!--&lt;!&ndash;{{att.option}}&ndash;&gt;-->
            <!--&lt;!&ndash;</ion-col>&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-col col-8 no-padding *ngIf="att.options">&ndash;&gt;-->
            <!--&lt;!&ndash;<span *ngFor="let option of att.options"> {{ option }}</span>&ndash;&gt;-->
            <!--&lt;!&ndash;</ion-col>&ndash;&gt;-->
            <!--&lt;!&ndash;</ion-row>&ndash;&gt;-->

            <!--<ion-row no-padding *ngFor="let att of product.attributes">-->

            <!--<ion-col col-4 no-padding>{{ att.name}}</ion-col>-->
            <!--<ion-col col-8 no-padding *ngIf="!att.options">-->
            <!--{{att.option}}-->
            <!--</ion-col>-->
            <!--<ion-col col-8 no-padding *ngIf="att.options">-->

            <!--<span *ngFor="let option of att.options"> {{ option }}</span>-->
            <!--</ion-col>-->
            <!--&lt;!&ndash;<ion-col col-4 no-padding>{{ att.name}}</ion-col>&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-col col-8 no-padding *ngIf="!att.options">&ndash;&gt;-->
            <!--&lt;!&ndash;{{att.option}}&ndash;&gt;-->
            <!--&lt;!&ndash;</ion-col>&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-col  no-padding *ngIf="att.options">&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-label>{{att.name}}</ion-label>&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-select *ngFor="let option of att.options" >&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-option> {{ option }}</ion-option>&ndash;&gt;-->

            <!--&lt;!&ndash;</ion-select>&ndash;&gt;-->

            <!--&lt;!&ndash;</ion-col>&ndash;&gt;-->
            <!--</ion-row>-->
            <!--</ion-grid>-->
            <!--</ion-item>-->
            <!--</ion-list>-->

            <!--<ion-list *ngIf="product.variations.length > 0">-->
            <!--<ion-item>-->
            <!--<ion-label color="secondary">الحجم</ion-label>-->
            <!--<ion-select [(ngModel)]="att1" cancelText="لا" okText="نعم" (ionChange)="setVariation($event)">-->
            <!--<ion-option color="primary" value="" selected>{{'SELECT' | translate}}</ion-option>-->
            <!--<div *ngFor="let x of product.variations">-->
            <!--<div *ngFor="let y of x.attributes">-->
            <!--<ion-option value="{{x | json}}">{{y.option | translate}}-->
            <!--</ion-option>-->
            <!--</div>-->
            <!--</div>-->
            <!--</ion-select>-->
            <!--</ion-item>-->
            <!--</ion-list>-->

            <ion-list>

                <div *ngIf="product.variations.length > 0">
                    <ion-item>
                        <ion-label color="secondary">الحجم</ion-label>
                        <ion-select [(ngModel)]="att1" cancelText="لا" okText="نعم" (ionChange)="setVariation($event)">
                            <ion-option color="primary" value="" selected>{{'SELECT' | translate}}</ion-option>
                            <div *ngFor="let x of product.variations">
                                <div *ngFor="let y of x.attributes">
                                    <ion-option value="{{x | json}}">{{y.option | translate}}
                                    </ion-option>
                                </div>
                            </div>
                        </ion-select>
                    </ion-item>
                </div>

                <div *ngFor="let att of product.attributes;let i = index">

                    <div *ngIf="att.name == 'اليوم'">
                        <h5 style="margin-top: 15px; color: #245aa4" text-center>موعدالإستلام</h5>
                    </div>
                    <ion-item *ngIf="att.variation == false">
                        <ion-label color="secondary">{{ att.name.replace('-',' ')}}</ion-label>

                        <ion-select color="primary" [(ngModel)]="attribute[i].option" cancelText="لا" okText="نعم"
                                    required
                                    multiple="{{att.name == 'توابع-الذبيحة'}}" (ionChange)="changeAttributes(att.name)">


                            <ion-option value="" *ngIf="att.name != 'توابع-الذبيحة'" selected>{{'SELECT' | translate}}
                            </ion-option>

                            <div *ngFor="let option of att.options">
                                <ion-option value="{{option}}">{{option}}</ion-option>
                            </div>

                        </ion-select>

                    </ion-item>
                </div>

                <!--<ion-item>-->

                <!--&lt;!&ndash;<ion-label color="secondary" fixed>{{'QUANTITY' | translate}}</ion-label>&ndash;&gt;-->


                <!--&lt;!&ndash;<ion-label>&ndash;&gt;-->
                <!--&lt;!&ndash;<button style=" position: absolute; margin: 0;" (click)="quantityControl('minus')">&ndash;&gt;-->
                <!--&lt;!&ndash;<ion-icon   style=" font-size: 2.0em;"&ndash;&gt;-->
                <!--&lt;!&ndash;color="secondary"&ndash;&gt;-->
                <!--&lt;!&ndash;name="remove-circle"></ion-icon>&ndash;&gt;-->
                <!--&lt;!&ndash;</button>&ndash;&gt;-->

                <!--&lt;!&ndash;</ion-label>&ndash;&gt;-->
                <!--&lt;!&ndash;<ion-input style="font-size: 2.0em;" text-center type="number"&ndash;&gt;-->
                <!--&lt;!&ndash;placeholder="{{'QUANTITY' | translate}}" value="{{quantity}}"&ndash;&gt;-->
                <!--&lt;!&ndash;disabled></ion-input>&ndash;&gt;-->
                <!--&lt;!&ndash;<ion-label (click)="quantityControl('minus')">&ndash;&gt;-->
                <!--&lt;!&ndash;<ion-icon (click)="quantityControl('add')"&ndash;&gt;-->
                <!--&lt;!&ndash;style="font-size: 2.0em; position: absolute; left:0; margin: 0;"&ndash;&gt;-->
                <!--&lt;!&ndash;color="secondary"&ndash;&gt;-->
                <!--&lt;!&ndash;name="add-circle"></ion-icon>&ndash;&gt;-->
                <!--&lt;!&ndash;</ion-label>&ndash;&gt;-->
                <!--&lt;!&ndash;<ion-row>&ndash;&gt;-->
                <!--&lt;!&ndash;<ion-col col-6 text-center>&ndash;&gt;-->
                <!--&lt;!&ndash;<ion-label color="secondary">{{'QUANTITY' | translate}}</ion-label>&ndash;&gt;-->
                <!--&lt;!&ndash;</ion-col>&ndash;&gt;-->
                <!--&lt;!&ndash;<ion-col col-1>&ndash;&gt;-->
                <!--&lt;!&ndash;<ion-icon style="    font-size: 2.0em;" color="secondary" name="add-circle"></ion-icon>&ndash;&gt;-->
                <!--&lt;!&ndash;</ion-col>&ndash;&gt;-->
                <!--&lt;!&ndash;<ion-col col-4>&ndash;&gt;-->
                <!--&lt;!&ndash;<ion-input style="font-size: 2.0em; text-align: center" type="number"&ndash;&gt;-->
                <!--&lt;!&ndash;placeholder="{{'QUANTITY' | translate}}" value="1"></ion-input>&ndash;&gt;-->
                <!--&lt;!&ndash;</ion-col>&ndash;&gt;-->
                <!--&lt;!&ndash;<ion-col col-1>&ndash;&gt;-->
                <!--&lt;!&ndash;<ion-icon style="    font-size: 2.0em;" color="secondary" name="add-circle"></ion-icon>&ndash;&gt;-->
                <!--&lt;!&ndash;</ion-col>&ndash;&gt;-->
                <!--&lt;!&ndash;</ion-row>&ndash;&gt;-->
                <!--</ion-item>-->
            </ion-list>


            <ion-row no-padding no-margin *ngIf="!comingSoon">
                <ion-col no-padding no-margin col-4 text-center *ngIf="product.categories[0].id != 34">
                    <ion-label style="font-size: 16px;" color="secondary">{{'QUANTITY' | translate}}</ion-label>
                </ion-col>
                <ion-col no-padding no-margin col-4 text-center *ngIf="product.categories[0].id == 34">
                    <ion-label style="font-size: 16px;" color="secondary">{{'QUANTITYKG' | translate}}</ion-label>
                </ion-col>
                <ion-col no-padding no-margin col-2 (click)="quantityControl('add')">
                    <ion-icon float-left style="font-size: 2.5em;" color="secondary" name="add-circle"></ion-icon>
                </ion-col>
                <ion-col no-padding no-margin col-4>
                    <ion-input no-margin text-center style="font-size: 2.5em; text-align: center" type="number"
                               placeholder="{{'QUANTITY' | translate}}" [(ngModel)]="quantity" disabled></ion-input>
                </ion-col>
                <ion-col no-padding no-margin col-2 (click)="quantityControl('minus')">
                    <ion-icon float-right style="font-size: 2.5em;" color="secondary" name="remove-circle"></ion-icon>
                </ion-col>

            </ion-row>


            <!--<ion-list-header mode="md" no-margin no-padding margin-right *ngIf="product.variations.length > 0">-->
            <!--{{'VARIATION' | translate}}-->
            <!--</ion-list-header>-->
            <!--<ion-list mode="md" radio-group (ionChange)="setVariation($event)" padding-bottom no-margin margin-horizontal margin-bottom *ngIf="product.variations.length > 0">-->
            <!--<ion-item mode="ios" *ngFor="let x of product.variations" no-padding>-->
            <!--<ion-label>-->
            <!--<span *ngFor="let y of x.attributes">-->
            <!--{{y.name}}: {{y.option}}-->
            <!--</span>-->
            <!--</ion-label>-->
            <!--<ion-radio mode="ios" value="{{x | json}}"></ion-radio>-->
            <!--</ion-item>-->
            <!--</ion-list>-->

            <!--<ion-list mode="md" *ngIf="product.description">-->
            <!--<ion-list-header mode="md" no-margin no-padding margin-right margin-top>-->
            <!--{{'DESCRIPTION' | translate}}-->
            <!--</ion-list-header>-->
            <!--<ion-item mode="md">-->
            <!--<div [innerHTML]="product.description" style="font-weight: normal"></div>-->
            <!--</ion-item>-->
            <!--</ion-list>-->

            <!--<ion-list-header mode="md" no-margin no-padding margin-right *ngIf="product.rating_count > 0">-->
            <!--{{'REVIEW' | translate}}-->
            <!--</ion-list-header>-->
            <!--<ion-list no-margin margin-horizontal padding-bottom *ngIf="product.rating_count > 0">-->
            <!--<ion-item *ngFor="let x of product.reviews" no-padding>-->
            <!--<ion-row no-padding>-->
            <!--<ion-col col-4>-->
            <!--<div>{{x.name}}</div>-->
            <!--<div class="ago">{{x.date_created | moment:"ago" | lowercase}}</div>-->
            <!--<ion-rating *ngIf="x.rating"-->
            <!--[numStars]="5"-->
            <!--[readOnly]="true"-->
            <!--[value]="x.rating">-->
            <!--</ion-rating>-->
            <!--</ion-col>-->
            <!--<ion-col col-8>-->
            <!--{{x.review}}-->
            <!--</ion-col>-->
            <!--</ion-row>-->
            <!--</ion-item>-->
            <!--</ion-list>-->

            <!--<div class="product-slide">-->
            <!--<ion-list-header mode="md" no-margin no-padding margin-right margin-bottom>-->
            <!--{{'RELATED' | translate}}-->
            <!--</ion-list-header>-->

            <!--<ion-slides margin-bottom spaceBetween="10" slidesPerView="2.5" dir="ltr">-->
            <!--<ion-slide *ngFor="let y of product.related">-->
            <!--<button class="fav" tappable (click)="setFav(y)" ion-button clear icon-only>-->
            <!--<ion-icon *ngIf="y.variations.length == 0" no-padding-->
            <!--name="heart{{!wishlist.isFav(y) ? '-outline' : ''}}"></ion-icon>-->
            <!--</button>-->
            <!--<div text-left class="product-item" tappable (click)="goTo('ProductPage', y)">-->
            <!--<div class="img" [ngStyle]="{'background-image': 'url(' + y.images[0].src +')'}">-->
            <!--<ion-badge *ngIf="y.on_sale">{{y | discount}}</ion-badge>-->
            <!--</div>-->
            <!--<h5 [innerHTML]="y.name"></h5>-->
            <!--<div class="price">-->
            <!--<span class="disc" *ngIf="y.on_sale">{{y.regular_price | money}}</span>-->
            <!--{{y.price | money}}-->
            <!--</div>-->
            <!--<ion-row no-padding class="reviews" *ngIf="y.rating_count">-->
            <!--<ion-col col-auto no-padding>-->
            <!--<ion-rating *ngIf="y.average_rating" item-start-->
            <!--[numStars]="5"-->
            <!--[readOnly]="true"-->
            <!--[value]="y.average_rating">-->
            <!--</ion-rating>-->
            <!--<span *ngIf="y.rating_count">{{y.rating_count}}</span>-->
            <!--</ion-col>-->
            <!--</ion-row>-->
            <!--</div>-->
            <!--</ion-slide>-->
            <!--</ion-slides>-->
            <!--</div>-->
        </div>
    </div>
</ion-content>

<ion-footer *ngIf="!comingSoon">
    <ion-toolbar>
        <ion-row align-items-center>
            <ion-col class="total" align-self-center>
                <h5>
                    <span class="disc" *ngIf="product.on_sale">{{product.regular_price | money}}</span>
                    {{product.price * quantity | money}}
                </h5>
                <!--<ion-row no-padding class="reviews" *ngIf="product.rating_count">-->
                <!--<ion-col col-auto no-padding>-->
                <!--<ion-rating *ngIf="product.average_rating" item-start-->
                <!--[numStars]="5"-->
                <!--[readOnly]="true"-->
                <!--[value]="product.average_rating">-->
                <!--</ion-rating>-->
                <!--<span *ngIf="product.rating_count">{{product.rating_count}}</span>-->
                <!--</ion-col>-->
                <!--</ion-row>-->
            </ion-col>
            <ion-col align-self-center>
                <button ion-button block tappable (click)="openModal('CartPage')">{{'TO_CART' | translate}}</button>
            </ion-col>
        </ion-row>
    </ion-toolbar>
</ion-footer>
